classification
Title: test_multiprocessing_forkserver: test_resource_tracker() failed on x86 Gentoo Refleaks 3.8
Type: Stage: resolved
Components: Tests Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, pablogsal, pierreglaser, pitrou, vstinner
Priority: normal Keywords: patch

Created on 2019-06-12 11:45 by vstinner, last changed 2019-06-25 23:37 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14288 merged pierreglaser, 2019-06-21 14:03
PR 14383 merged miss-islington, 2019-06-25 22:30
Messages (4)
msg345320 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-06-12 11:45
x86 Gentoo Refleaks 3.8:
https://buildbot.python.org/all/#/builders/223/builds/9

3:22:46 load avg: 5.83 [423/423/2] test_multiprocessing_forkserver failed (5 min 10 sec)
beginning 6 repetitions
123456
./buildbot/buildarea/cpython/3.8.ware-gentoo-x86.refleak/build/Lib/test/_test_multiprocessing.py:5002: ResourceWarning: unclosed file <_io.BufferedReader name=10>
  p = subprocess.Popen([sys.executable,
ResourceWarning: Enable tracemalloc to get the object allocation traceback
test test_multiprocessing_forkserver failed -- Traceback (most recent call last):
  File "/buildbot/buildarea/cpython/3.8.ware-gentoo-x86.refleak/build/Lib/test/_test_multiprocessing.py", line 5015, in test_resource_tracker
    _resource_unlink(name2, rtype)
AssertionError: OSError not raised

/buildbot/buildarea/cpython/3.8.ware-gentoo-x86.refleak/build/Lib/multiprocessing/resource_tracker.py:203: UserWarning: resource_tracker: There appear to be 1 leaked shared_memory objects to clean up at shutdown
  warnings.warn('resource_tracker: There appear to be %d '
/buildbot/buildarea/cpython/3.8.ware-gentoo-x86.refleak/build/Lib/multiprocessing/resource_tracker.py:216: UserWarning: resource_tracker: '//psm_dfd85228': [Errno 2] No such file or directory: '//psm_dfd85228'
  warnings.warn('resource_tracker: %r: %s' % (name, e))

---

Test added by:

commit f22cc69b012f52882d434a5c44a004bc3aa5c33c
Author: Pierre Glaser <pierreglaser@msn.com>
Date:   Fri May 10 22:59:08 2019 +0200

    bpo-36867: Make semaphore_tracker track other system resources (GH-13222)
    
    The multiprocessing.resource_tracker replaces the multiprocessing.semaphore_tracker module. Other than semaphores, resource_tracker also tracks shared_memory segment
s. Patch by Pierre Glaser.
msg346564 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-06-25 22:30
New changeset e1a63c4f21011a3ae77dff624196561070c83446 by Victor Stinner (Pierre Glaser) in branch 'master':
bpo-37244: Fix test_multiprocessing.test_resource_tracker() (GH-14288)
https://github.com/python/cpython/commit/e1a63c4f21011a3ae77dff624196561070c83446
msg346567 - (view) Author: miss-islington (miss-islington) Date: 2019-06-25 22:49
New changeset dd4edbc5ad4cdb47e051e7cc0801d31d3786588b by Miss Islington (bot) in branch '3.8':
bpo-37244: Fix test_multiprocessing.test_resource_tracker() (GH-14288)
https://github.com/python/cpython/commit/dd4edbc5ad4cdb47e051e7cc0801d31d3786588b
msg346571 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-06-25 23:37
Thanks Pierre Glaser. I close the issue.
History
Date User Action Args
2019-06-25 23:37:37vstinnersetstatus: open -> closed
versions: + Python 3.9
messages: + msg346571

resolution: fixed
stage: patch review -> resolved
2019-06-25 22:49:34miss-islingtonsetnosy: + miss-islington
messages: + msg346567
2019-06-25 22:30:33miss-islingtonsetpull_requests: + pull_request14197
2019-06-25 22:30:20vstinnersetmessages: + msg346564
2019-06-21 14:03:20pierreglasersetkeywords: + patch
stage: patch review
pull_requests: + pull_request14110
2019-06-12 11:47:36vstinnersetnosy: + pitrou, pablogsal, pierreglaser
2019-06-12 11:45:11vstinnercreate